package usecase;

import jakarta.validation.Valid;
import jakarta.ws.rs.POST;
import jakarta.ws.rs.Path;
import jakarta.ws.rs.core.Response;

@Path("/example")
public class ExampleRestResource {

    /*
    java.util.ConcurrentModificationException can occur, if there is i.e. an interceptor who logs the Exception with an async-logger and a custom javax.ws.rs.ext.ExceptionMapper
     */
    @POST
    public Response example(@Valid RequestDto dto){
        return Response.noContent().build();
    }
}
